Subject: Re: [bitcoin-dev] Debate: 64 bytes in OP_RETURN VS taproot OP_FALSE OP_IF OP_PUSH

From: Aymeric Vitte <[email-masked]>
Date: Sun, 12 Feb 2023 17:23:59 +0100

https://github.com/bitcoin/bitcoin/issues/27043#issuecomment-1427069403

"What is the process to have someone do the PR for this? Or I do it and
most likely it will be a very shxtty one since I am not a C/C++ expert,
then wasting the time of everybody

It's urgently required, I did consider OP_RETURN as a dart in the past
but changed my mind, it's adapted to the current evolutions, not
flooding bitcoin with 2 txs while only 1 is needed

If not the best 1 tx solution is super simple: store in addresses, and
super bad at the end because burning bitcoins, while still not expensive
if you don't need to store big things"

Le 05/02/2023 à 19:12, Russell O'Connor via bitcoin-dev a écrit :
>
>
> On Sat., Feb. 4, 2023, 21:01 Peter Todd, <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>
>
>     On February 5, 2023 1:11:35 AM GMT+01:00, Russell O'Connor via
>     bitcoin-dev <[email-masked]
>     <mailto:[email-masked]>> wrote:
>     >Since bytes in the witness are cheaper than bytes in the script
>     pubkey,
>     >there is a crossover point in data size where it will simply be
>     cheaper to
>     >use witness data.  Where that crossover point is depends on the finer
>     >details of the overhead of the two methods, but you could make some
>     >reasonable assumptions.  Such a calculation could form the basis of a
>     >reasonable OP_RETURN proposal.  I don't know if it would be
>     persuasive, but
>     >it would at least be coherent.
>
>     I don't think it's worth the technical complexity trying to
>     carefully argue a specific limit. Let users decide for themselves
>     how they want to use OpReturn.
>
>
> Even better.
>
>
>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev

-- 
Sophia-Antipolis, France
CV: https://www.peersm.com/CVAV.pdf
LinkedIn: https://fr.linkedin.com/in/aymeric-vitte-05855b26
GitHub : https://www.github.com/Ayms
A Universal Coin Swap system based on Bitcoin: https://gist.github.com/Ayms/029125db2583e1cf9c3209769eb2cdd7
A bitcoin NFT system: https://gist.github.com/Ayms/01dbfebf219965054b4a3beed1bfeba7
Move your coins by yourself (browser version): https://peersm.com/wallet
Bitcoin transactions made simple: https://github.com/Ayms/bitcoin-transactions
torrent-live: https://github.com/Ayms/torrent-live
node-Tor : https://www.github.com/Ayms/node-Tor
Anti-spies and private torrents, dynamic blocklist: http://torrent-live.peersm.com
Peersm : http://www.peersm.com